Subject: [lojban] Re: BPFK phpbb

From: Jordan DeLong <[email-masked]>
Date: Mon, 28 Apr 2003 20:13:26 -0500

On Mon, Apr 28, 2003 at 05:21:30PM -0400, John Cowan wrote:
> Jordan DeLong scripsit:
> > Anyway, I dunno why the text rule allows a nai at the start, 
> 
> It's probably overkill. What we thought was useful was to have "nai"
> by itself, for dialogues like this:
> 
> A: .ui.
> B: nai

For this why didn't you put it in the fragment rule?

> > Other than the problem with making too many sentences legal, I would
> > complain that it complicates the parse tree of things like {mi
> > na.enai do klama}. The first "na" is handled at the same level as
> > the .e and as part of the structure there. But the second "nai"
> > (if in UI) is handled at a lower level of the parser (where it
> > allows UIs after any word).
> 
> The official parser trawls forward (backtracking on failure) and slurps
> up things like "na.enai".

???

Judging by your response, you probably misunderstood me. But I
don't understand your point, so I can't say for sure...

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku